> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truthlocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Agentenfreigabe abbrechen

> Nur der authentifizierte ursprüngliche Anforderer kann eine ausstehende, nicht abgelaufene Anforderung stornieren. Menschliche Benutzer und derselbe ursprüngliche API-Schlüssel können ihre eigenen Anforderungen stornieren. Die Stornierung bewahrt den Datensatz und frühere Überprüfungen.

Nur der authentifizierte ursprüngliche Anforderer kann eine ausstehende, nicht abgelaufene Anforderung stornieren. Menschliche Benutzer und derselbe ursprüngliche API-Schlüssel können ihre eigenen Anforderungen stornieren. Die Stornierung bewahrt den Datensatz und frühere Überprüfungen.

Die Autorisierungs- und Ausführungsgrenzen finden Sie unter [unabhängige Agentenprüfungen](https://docs.truthlocks.com/de/guides/agent-approvals.md).


## OpenAPI

````yaml de/maip-openapi.yaml POST /v1/approvals/{approvalID}/cancel
openapi: 3.0.3
info:
  title: Truthlocks MAIP receipts and approvals
  version: 2.0.0
servers:
  - url: https://api.truthlocks.com
    description: Produktion
  - url: https://sandbox-api.truthlocks.com
    description: Sandbox
security:
  - apiKey: []
  - bearerAuth: []
paths:
  /v1/approvals/{approvalID}/cancel:
    post:
      tags:
        - Agent approvals
      summary: Agentenfreigabe abbrechen
      description: >-
        Nur der authentifizierte ursprüngliche Anforderer kann eine ausstehende,
        nicht abgelaufene Anforderung stornieren. Menschliche Benutzer und
        derselbe ursprüngliche API-Schlüssel können ihre eigenen Anforderungen
        stornieren. Die Stornierung bewahrt den Datensatz und frühere
        Überprüfungen.
      operationId: maipApprovalsCancel
      parameters:
        - name: approvalID
          in: path
          required: true
          description: >-
            UUID, die bei der Erstellung der Genehmigungsanfrage zurückgegeben
            wurde.
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - reason
              properties:
                reason:
                  type: string
                  minLength: 1
                  description: >-
                    Grund für die Entscheidung; nicht leer und höchstens 2000
                    UTF-8-Bytes.
      responses:
        '200':
          description: Aufgezeichnetes Ergebnis
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/AgentApproval'
                  - type: object
                    properties:
                      approval_id:
                        type: string
                        format: uuid
                        description: Alias von ID zur Kompatibilität.
        '400':
          description: Ungültiger Bezeichner, Anforderungsfelder oder Entscheidungsgrund
        '401':
          description: Authentifizierung erforderlich
        '403':
          description: >-
            Falscher Arbeitsbereichsbereich, fehlende Berechtigung des aktuellen
            Prüfers, Selbstprüfung oder unbefugte Stornierung
        '404':
          description: >-
            Anfragender oder aktiver Agent in dieser Workspace-Umgebung nicht
            vorhanden
        '409':
          description: Bereits entschieden, doppelter Prüfer oder abgelaufene Anfrage
components:
  schemas:
    AgentApproval:
      type: object
      required:
        - id
        - agent_id
        - status
        - requested_by
        - required_approvals
        - current_approvals
        - expires_at
        - decisions
      properties:
        id:
          type: string
          format: uuid
        tenant_id:
          type: string
          format: uuid
        agent_id:
          type: string
        action:
          type: string
        resource:
          type: string
        scope:
          type: string
        justification:
          type: string
        requested_by:
          type: string
          description: >-
            Authentifizierter Anforderer: menschliche Benutzer-UUID oder
            api_key:<stored key ID>; niemals ein vom Aufrufer bereitgestellter
            Prüfer.
        decision_reason:
          type: string
        status:
          type: string
          enum:
            - pending
            - approved
            - rejected
            - expired
            - cancelled
        risk_level:
          type: string
          enum:
            - low
            - medium
            - high
            - critical
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        expires_at:
          type: string
          format: date-time
        decided_at:
          type: string
          format: date-time
        decided_by:
          type: string
          description: >-
            Letzter Prüfer oder Anforderer, der die Anfrage storniert; fehlt,
            während sie aussteht.
        required_approvals:
          type: integer
          minimum: 1
          maximum: 10
        current_approvals:
          type: integer
          minimum: 0
          maximum: 10
        decisions:
          type: array
          description: >-
            Unveränderliche Einzelbewertungen. Die Warteschlangenantwort lässt
            dies leer; rufen Sie die Anfrage für ihre vollständige
            Überprüfungshistorie ab.
          items:
            type: object
            properties:
              reviewer_id:
                type: string
                format: uuid
              decision:
                type: string
                enum:
                  - approved
                  - rejected
              reason:
                type: string
              created_at:
                type: string
                format: date-time
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.